Cancel Tier
curl --request POST \
--url https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/tiers/{tier_num}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/tiers/{tier_num}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/tiers/{tier_num}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Batches
Cancel Tier
Cancel a single tier within a batch without affecting other tiers. Cancels all Ray and Celery jobs for this tier and marks it CANCELED.
POST
/
v1
/
buckets
/
{bucket_identifier}
/
batches
/
{batch_id}
/
tiers
/
{tier_num}
/
cancel
Cancel Tier
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the bucket.
The unique identifier of the batch.
Zero-based tier number to cancel.
Required range:
x >= 0Response
Successful Response
The response is of type Response Cancel Tier V1 Buckets Bucket Identifier Batches Batch Id Tiers Tier Num Cancel Post · object.
Was this page helpful?
⌘I

